Subject: Re: [Dcrup] Hey, crypto experts, what signing algorithm should we add
From: "John R Levine" <[email-masked]>
To: "Salz, Rich" <[email-masked]>
Cc: "John R Levine" <[email-masked]>, "Eric Rescorla" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: 10 Jun 2017 15:28:57 -0400
List-Id: DKIM Crypto Update <dcrup.ietf.org>

> Yes, the key sizes are fixed depending on the curve.  The encodings of 
> curves are different and not self-describing.  If you see a string of 
> bytes lying on the ground, you can't necessarily tell anything about the 
> key -- if it is one, it's size, and which curve applies.  You need 
> external state such as knowing the signing algorithm; that shouldn't be 
> a problem.

That's no problem, the DKIM key record has a field for the algorithm.

> Supporting Ed25519 will not come with zero code changes.  But minimal I think.

Since we have a lot of lazy programmers who will need to do this, how 
different is ED25519 sign/verify from RSA?

Regards,
John Levine, [email-masked], Taughannock Networks, Trumansburg NY
Please consider the environment before reading this e-mail. https://jl.ly